(* ----------------------------------------------------------------------- *)
UNIT HELP_;
(* ----------------------------------------------------------------------- *)

INTERFACE
(* ----------------------------------------------------------------------- *)

USES

  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, ExtCtrls, StdCtrls, jpeg;
(* ----------------------------------------------------------------------- *)

TYPE

  THelpForm = class(TForm)
   (* -------------------------------------------------------------------- *)
    PageControl: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    TabSheet4: TTabSheet;
    TabSheet5: TTabSheet;
   (* -------------------------------------------------------------------- *)
    Memo1: TMemo;
    Image1: TImage;
    Image2: TImage;
    Image3: TImage;
    Image4: TImage;
   (* -------------------------------------------------------------------- *)
    OKButton: TButton;
   (* -------------------------------------------------------------------- *)
    procedure FormCreate(Sender: TObject);
    procedure Read( Image: TImage; Source: String);
    procedure OKButtonClick(Sender: TObject);
   (* -------------------------------------------------------------------- *)
  private
    { Private declarations }
  public
    { Public declarations }
     Path: String;
  end;

VAR

  HelpForm: THelpForm;
(* ----------------------------------------------------------------------- *)

IMPLEMENTATION
(* ----------------------------------------------------------------------- *)

{$R *.DFM}

procedure THelpForm.Read( Image: TImage; Source: String);
begin
  Image.Picture.LoadFromFile( Path + Source );
end;

procedure THelpForm.FormCreate(Sender: TObject);
begin
  (* --- load at run-time is more convenient for developing -------------- *)
  Path := ExtractFilePath( ParamStr(0) );   // the directory containing .EXE
  Try
    Memo1.Lines.LoadFromFile( Path + 'HelpMemo.TXT');
    Read( Image1, 'ButtonsImage.jpg' );
    Read( Image2, 'TreeImage.jpg'    );
    Read( Image3, 'NodesImage.jpg'   );
    Read( Image4, 'AboutImage.jpg'   );
  except
   (* -------------------------------------------------------------------- *)
  end;
end;

procedure THelpForm.OKButtonClick(Sender: TObject);
begin
  HelpForm.Close;
end;

(* ======================================================================= *)

begin
end.
  